﻿package  
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFieldType;
	import flash.text.TextFormat;
	/**
	$(CBI)* ...
	$(CBI)* @author Guchan Alkan
	$(CBI)*/
	public class TxtFld extends Sprite
	{
		private var txt:TextField = new TextField();
		public var dynamicTxt:TextField = new TextField();
		
		public function TxtFld(label:String, input:Boolean = false) 
		{
			txt.text = label;
			txt.setTextFormat(new TextFormat("Arial", 12, 0x000000, true));
			txt.wordWrap = true;
			txt.width = 100;
			txt.selectable = false;
			addChild(txt);
			
			if (input)
			{
				dynamicTxt.type = TextFieldType.INPUT;
				dynamicTxt.maxChars = 1;
				dynamicTxt.text = "0";
				addChild(dynamicTxt);
				dynamicTxt.setTextFormat(new TextFormat("Arial", 12, 0xFFFFFF, true));
				dynamicTxt.x = 92;
				dynamicTxt.width = 12;
				dynamicTxt.height = 18;
				dynamicTxt.background = true;
				dynamicTxt.backgroundColor = 0xFF0055;
			}
		}
		
		public function setTxt(label:String):void
		{
			txt.text = label;
			txt.setTextFormat(new TextFormat("Arial", 12, 0x000000, true));
		}
		
	}

}